/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    generateUnitTestFiles = require('../../../../ci/worker/generate_unit_test_files.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};


exports['Generate unit test files.'] = function (test) {
    testResource.prepareCleanWorkDirForTestFile(__filename, function (err, workDir) {
    var srcDir = testResource.resolveMockFile('.');
        generateUnitTestFiles({
            srcDir: srcDir,
            destDir: workDir,
            pattern: '*.js',
        }, function (err) {
            test.ifError(err);
            test.done();
        });
    });
};